Page MenuHomePhabricator

Issues in enabling NFS for new projects (was 'adding project to nfs-mounts.yaml does not create directories')
Open, NormalPublic

Description

  • The share is defined but the path is not created on disk nor the bind. This can be remedied probably by running nfs-manage-binds -f as a subscribe to this file
  • the bind management mechanism should ensure what we think are mount points actually are to avoid an accidental flurry of creation and mounting in a bad device state
  • nfs-manage-binds -f is not aware of what shares are served from where - and attempts to for e.g create directories for maps project on labstore1005, even though it's served from a different nfs share (maps) on labstore1003
  • Once the binds and exports are available, running puppet on the instance (e.g. twlight-test.twl), even though scratch is not defined as mounted in nfs-mounts.yaml, a broken /data/scratch symlink to /mnt/nfs/labstore1003-scratch gets created.

Event Timeline

chasemp created this task.Feb 23 2017, 6:12 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 23 2017, 6:12 PM
chasemp triaged this task as Normal priority.Feb 23 2017, 6:13 PM
bd808 moved this task from Triage to Storage on the Cloud-Services board.Mar 26 2017, 10:51 PM

Change 344982 had a related patch set uploaded (by Madhuvishy):
[operations/puppet@production] nfs: Add functionality to create home and project dirs for new projects in misc

https://gerrit.wikimedia.org/r/344982

Change 344982 merged by Madhuvishy:
[operations/puppet@production] nfs: Add functionality to create home and project dirs for new projects in misc

https://gerrit.wikimedia.org/r/344982

madhuvishy renamed this task from adding project to nfs-mounts.yaml does not create directories to Issues in enabling NFS for new projects (was 'adding project to nfs-mounts.yaml does not create directories').Mar 27 2017, 9:08 PM
madhuvishy assigned this task to chasemp.
madhuvishy updated the task description. (Show Details)
Restricted Application added a subscriber: Sadads. · View Herald TranscriptMar 27 2017, 9:08 PM
chasemp updated the task description. (Show Details)Mar 28 2017, 3:43 PM

Change 345168 abandoned by Rush:
WIP: labstore: nfs-mounts.yaml per role and nfs-manage-mounts adjust

https://gerrit.wikimedia.org/r/345168

bd808 moved this task from Backlog to Shared Storage on the Data-Services board.Jul 24 2017, 12:40 AM
chasemp removed chasemp as the assignee of this task.Apr 26 2018, 7:46 PM

Change 345631 abandoned by Rush:
nfs-mounts: per cluster definitions for mounts

Reason:
needs way more work and another approach

https://gerrit.wikimedia.org/r/345631

Bstorm added a subscriber: Bstorm.May 31 2019, 9:17 PM

There are still several manual steps. If the ceph PoC goes well, however, this ticket can maybe be replaced with something about enabling Ceph services :)